Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.offline.browse
Class StoreFinder

    java.lang.Object
      |
      +--org.w3c.tools.offline.browse.StoreFinder

public class StoreFinder
extends java.lang.Object

The finder that handles a given jigsaw store

Field Summary
`protected java.util.Hashtable` | `finders`
`static java.lang.String` | `INDEX_F`
`protected java.util.Hashtable` | `index_table`
`protected static org.apache.oro.text.regex.Perl5Compiler` | `pcompiler`
`protected static org.apache.oro.text.regex.Perl5Matcher` | `pmatcher`
`protected ResourceLister` | `rl` A resource lister instance that handles the repository resources
`static java.lang.String` | `ROOT_REP`
`protected Serializer` | `serializer`
`java.lang.String` | `server_name` The server name (e.g.
`java.lang.String` | `store_dir` The store directory (relative to current path)

Constructor Summary
`StoreFinder(java.lang.String store_dir, java.lang.String server_name)` Initializes the finder

Method Summary
`void` | `finderAction(java.lang.String action, java.lang.String identifier, boolean recursive)` Execute an action on the store.
`java.lang.String` | `getWorkingRep()` Get the working repository
`void` | `printWorkingRep()` Print the working repository
`void` | `readStoreIndex()` Reads the index file of the store.
`void` | `readStoreRoot()` Reads the root file of the store.
`void` | `setWorkingRep(java.lang.String newrep)` Set the working repository

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROOT_REP

    public static final java.lang.String ROOT_REP

### INDEX_F

    public static final java.lang.String INDEX_F

### store_dir

    public java.lang.String store_dir

  The store directory (relative to current path)

### server_name

    public java.lang.String server_name

  The server name (e.g. http-server)

### rl

    protected ResourceLister rl

  A resource lister instance that handles the repository resources

### serializer

    protected Serializer serializer

### index_table

    protected java.util.Hashtable index_table

### finders

    protected java.util.Hashtable finders

### pmatcher

    protected static org.apache.oro.text.regex.Perl5Matcher pmatcher

### pcompiler

    protected static org.apache.oro.text.regex.Perl5Compiler pcompiler

Constructor Detail

### StoreFinder

    public StoreFinder(java.lang.String store_dir,
                       java.lang.String server_name)

  Initializes the finder

Method Detail

### readStoreIndex

    public void readStoreIndex()
                        throws java.io.IOException

  Reads the index file of the store. opens the file and initialize index_table, launch one finder for each repository.

### readStoreRoot

    public void readStoreRoot()
                       throws java.io.IOException

  Reads the root file of the store. opens the file and initialize working repository and stacks, lists all the store recurively.

### finderAction

    public void finderAction(java.lang.String action,
                             java.lang.String identifier,
                             boolean recursive)

  Execute an action on the store. launch a try for the given action on the current repository.
  Parameters:
    `action` - the action string
    `identifier` - the target of action (a Perl5 regexp)
    `recursive` - a boolean flag (true = recursive action).

### getWorkingRep

    public java.lang.String getWorkingRep()

  Get the working repository
  Returns:
    a string that is the repository file name.

### printWorkingRep

    public void printWorkingRep()

  Print the working repository

### setWorkingRep

    public void setWorkingRep(java.lang.String newrep)

  Set the working repository
  Parameters:
    `newrep` - a string that is the container name or ".." to go back in the stack.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD